aboutsummaryrefslogtreecommitdiffstats
path: root/testing/py-greenlet/APKBUILD
diff options
context:
space:
mode:
authorWilliam Pitcock <nenolod@dereferenced.org>2014-05-22 19:02:11 +0000
committerWilliam Pitcock <nenolod@dereferenced.org>2014-05-22 19:02:33 +0000
commitcc0dfe861df9743ecdbaeaaed88c2ff181d06ba1 (patch)
tree2ecb0bbf7d0aa9aab790ea37f693c10333f626ce /testing/py-greenlet/APKBUILD
parentb15a27018deda4d4a9666dbd22e1df74e681c7d5 (diff)
downloadaports-cc0dfe861df9743ecdbaeaaed88c2ff181d06ba1.tar.gz
aports-cc0dfe861df9743ecdbaeaaed88c2ff181d06ba1.tar.bz2
aports-cc0dfe861df9743ecdbaeaaed88c2ff181d06ba1.tar.xz
testing/py-greenlet: more forceful compiler flag fixing
Diffstat (limited to 'testing/py-greenlet/APKBUILD')
-rw-r--r--testing/py-greenlet/APKBUILD18
1 files changed, 14 insertions, 4 deletions
diff --git a/testing/py-greenlet/APKBUILD b/testing/py-greenlet/APKBUILD
index de24c1bb99..e9ffa3e294 100644
--- a/testing/py-greenlet/APKBUILD
+++ b/testing/py-greenlet/APKBUILD
@@ -3,7 +3,7 @@
pkgname=py-greenlet
_pkgname=greenlet
pkgver=0.4.0
-pkgrel=1
+pkgrel=2
pkgdesc="Lightweight in-process concurrent programming"
url="http://pypi.python.org/pypi/greenlet"
arch="all"
@@ -14,10 +14,20 @@ source="http://pypi.python.org/packages/source/${_pkgname:0:1}/$_pkgname/$_pkgna
gcc-4.8-bugfix.patch"
_builddir="$srcdir"/$_pkgname-$pkgver
-build ()
-{
+prepare() {
+ local i
cd "$_builddir"
- python setup.py build || return 1
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ env
+ CFLAGS="-O0" CPPFLAGS="-O0" CXXFLAGS="-O0" python setup.py build || return 1
}
package() {